# TiffCompression enum

Inheritance
  - Object
  - Enum
  - TiffCompression

## Constructors

TiffCompression()
  const

## Values

NONE → const TiffCompression
CCITTRLE → const TiffCompression
CCITTFAX3 → const TiffCompression
CCITT_T4 → const TiffCompression
CCITTFAX4 → const TiffCompression
CCITT_T6 → const TiffCompression
CCITTRLEW → const TiffCompression
LZW → const TiffCompression
PACKBITS → const TiffCompression
DEFLATE → const TiffCompression
ADOBE_DEFLATE → const TiffCompression

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
index → int
  A numeric identifier for the enumerated value.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<TiffCompression>
  A constant List of the values in this enum, in order of their declaration.
  `[NONE, CCITTRLE, CCITTFAX3, CCITT_T4, CCITTFAX4, CCITT_T6, CCITTRLEW, LZW, PACKBITS, DEFLATE, ADOBE_DEFLATE]`